Subject: Re: bug#60708: pcre: improve support for linking with a library without unicode

From: Carlo Arenas <[email-masked]>
Date: Thu, 12 Jan 2023 21:54:36 -0800

On Thu, Jan 12, 2023 at 7:38 PM Paul Eggert <[email-masked]> wrote:
>
> Without the attached patch, in a
> UTF-8 locale "grep -P '[[:alpha:]]'" won't report matching alphabetic
> characters, if they're multibyte. Silent misbehavior is quite bad, and
> it's better for grep to issue a diagnostic and exit than to silently do
> the wrong thing.

Fair enough, this will likely need a new test though, and of course
changes to the current ones as well.

Right now they will report that grep doesn't have '-P' support instead
of reporting that unicode is missing, and take into consideration
those tests that set multibyte locale were successful after my change,
so they will also need changes as they would misbehave silently
otherwise.

Carlo